> ## Documentation Index
> Fetch the complete documentation index at: https://docs.invaro.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Process Bank Statements

> The statement processing endpoint allows you to extract data from uploaded bank statements. This is an asynchronous operation that returns a job ID for tracking the processing status.



## OpenAPI

````yaml POST /parse/statements
openapi: 3.0.0
info:
  title: Invaro Document Processing API
  description: API for processing bank statements and invoices using OCR and AI
  version: 1.0.0
  contact:
    name: Invaro Support
    email: support@invaro.ai
    url: https://docs.invaro.ai
servers:
  - url: https://api.invaro.ai/api/v1
    description: Production API
security:
  - bearerAuth: []
paths:
  /parse/statements:
    post:
      tags:
        - Statement Processing
      summary: Process Bank Statements
      description: Start processing uploaded bank statements
      operationId: processStatements
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - document_id
              properties:
                document_id:
                  type: string
                  description: Document ID of the statement to process
      responses:
        '200':
          description: Processing started successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      job_id:
                        type: string
                        example: job_1739261168870934041
                      status:
                        type: string
                        example: pending
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````